﻿ /**************** DO NOT REMOVE THIS ***************************************
 *
 * Curve S Line Main UCI for COWON S9
 * Version: 1.51
 * Created By Yanga Byun (E-mail: quaah@hanmail.net)
 * Based on COWON S9 UCI guide
 * Artworks by COWON (I do not have any rights for all artworks in this UCI)
 * 
 * This program is free software: you can redistribute it and/or modify it.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 ************** DISTRIBUTION RULE ******************************************
 *
 * When you distribute your modification: 
 * 1. The modified source code must be uploaded with the compiled file.
 * 2. The original source must be referenced in your distribution document.
 *
 *********** MODIFICATION INFORMATION **************************************
 *
 * Modified by Yanga Byun
 * Date: 2009/04/03
 * Version: 1.51
 *
 ***** DISTRIBUTION RULE Korean version (배포 규칙)*************************
 * 본 소스 코드를 수정하여 배포할 시 반드시 출처를 명시해야 하며, 
 * 컴파일 된 파일 (.swf)와 수정한 소스를 함께 배포해야 합니다.
 ***************************************************************************/
 
var MAX_ICON:Number =16;
var MAXALPHA:Number = 100;

var myNum:Number ;
var array_icon = new Array();
var MAX_MAIN = 2;
var upperFrame :Number =1;
var underFrame :Number =1;
var uiconfig:String = "";
var mouseListener:Object = new Object();
var isClick:Boolean = false;
var downPos:Array = new Array(0,0);
var touchLong = 0;
var touchStartTick = 0;
var g_PlayMode:Number = 0;
var maxMoved:Number = 0;
function chkDbClick():Void{ 
	isClick = false; 
}
mouseListener.onMouseDown = function() {		
	this.isDrawing = true;
	maxMoved = 0;
	if(isClick == true) 
	{
		var retval:Number = ext_fscommand2("EtcModChangeMode", "Music");
		g_PlayMode = ext_fscommand2("GetEtcState");
		if(retval!=-1)
		{
		 	if(g_PlayMode == 1)
				ext_fscommand2("KeyAudPause");
			else
				ext_fscommand2("KeyAudPlay");
		}
		g_PlayMode = ext_fscommand2("GetEtcState");
		showMode();
		//trace("double click");
		/*double click
		if(_root.MCCon.MCBack._alpha ==100)
		{
			_root.MCCon.MCInfobar.TXTime.textColor=6710886;
			_root.MCCon.MCBack._alpha = 80;
		}
		else
		{
			_root.MCCon.MCInfobar.TXTime.textColor=13421772;
			_root.MCCon.MCBack._alpha = 100;
		}*/
		this.isDrawing = false;
	}
	else 
	{
		downPos[0] = _xmouse;
		downPos[1] = _ymouse;
		lastTime = getTimer();					
		touchStartTick = getTimer();
		setTimeout(chkDbClick, 350);
	}
	isClick = !isClick; 
}
mouseListener.onMouseMove = function() {
	if (this.isDrawing) {
		var diff =downPos[1]-_ymouse;
		var xdiff =Math.abs(downPos[0]-_xmouse);
		if(maxMoved < 5)
		{
			maxMoved = Math.max(xdiff, maxMoved);
			maxMoved = Math.max(Math.abs(diff), maxMoved);
		}			
		if(maxMoved<5)
		{
			if(getTimer() - touchStartTick >1000)
			{
				if(_root.MCCon.MCBack._alpha <90)
				{
					_root.MCCon.MCBack._alpha = 100;
					ext_fscommand2("SetEtcUIConfig", "11", "csu|0");
				}
				else
				{
					_root.MCCon.MCBack._alpha = 80;
					ext_fscommand2("SetEtcUIConfig", "11", "csu|1");
				}
				this.isDrawing=false;
				return;
			}
		}
		if(xdiff <20)
		{
			var volChange = false;
			if (touchLong == 0)
			{
				if(diff>49 || diff<-49)
				{						
					touchLong = 1;
					volChange = true;
				}
			}					
			else if( getTimer() - touchStartTick >300)
			{
				volChange = true;
			}
			if(volChange)
			{
				touchStartTick = getTimer();
				if(diff <0)
					retval =ext_fscommand2("KeyComMinus");
				else
					retval =ext_fscommand2("KeyComPlus");
				volumeChange(true);
			}					
		}
	}
}
mouseListener.onMouseUp = function() {
	
	maxMoved = 0;
	touchLong=0;
	if(this.isDrawing )
	{
		this.isDrawing = false;	
		var xmoved = downPos[0] - _xmouse;
		if(xmoved > 50)
		{
			ext_fscommand2("KeyAudShortFF");
		}
		else if(xmoved < -50 )
		{
			ext_fscommand2("KeyAudShortREW");			
		}
	}
}
//volumeChange(false);
Mouse.removeListener(mouseListener);
Mouse.addListener(mouseListener);

_global.gfn_systemInfo(1);
_global.gfn_Key_CreateKeyListner(fn_InputKeyHandler_Main);
 

function fn_InputKeyHandler_Main(keyType:Number):Void
{
	//SBTime.txTmp.text = keyType;
	switch(keyType)
	{
		case KEY_PLUS_SHORT:
		case KEY_PLUS_LONG:
			ext_fscommand2("KeyComPlus");
			volumeChange(true);
			break;

		case KEY_MINUS_SHORT:
		case KEY_MINUS_LONG:
			ext_fscommand2("KeyComMinus");
			volumeChange(true);
			break;

		case _global.KEY_HOLD:
			_global.gfn_DispHold(1);
			break;
		case _global.KEY_DISPLAY_UPDATE:
			_global.gfn_systemInfo(1);
		case 21:
			var gValue = ext_fscommand2("GetEtcTASValue");
			if(gValue!=currentGvalue)
			{
				currentGvalue=gValue;
				setTextRotation();
				setRotDirection();				
			}
		case 23:
			showMode();
		break;
	}
}
function volumeChange(dispVol:Boolean)
{
	if(dispVol)
	 _global.gfn_dispVolume(1);
	var tmpNumber:Number = MCInfobar.TXVol.text;
	if(tmpNumber >38)
		tmpNumber =_root.MCCon.MCFooter.icon0._totalframes;
	else
		tmpNumber = Math.round(tmpNumber/3)+1;
	////if(vol>5)
		//vol =5;
		_root.MCCon.MCFooter.icon0.gotoAndStop(tmpNumber);
		//vol++;
	
	
}
var currentGvalue:Number = 0;
setTextRotation = function()
{
	var tm = 10;
	var func = Regular.easeIn;
	if(currentGvalue ==1)
	{
		_root.MCCon.MCInfobar.TXTime._rotation = 0;
		_root.MCCon.MCInfobar.TXTime._y=25;
		_root.MCCon.MCInfobar.TXTime._x=19;
		_root.MCCon.MCInfobar.TXAmPm._rotation = 0;
		_root.MCCon.MCInfobar.TXAmPm._x=182;
		_root.MCCon.MCInfobar.TXAmPm._y=53;		
		_root.MCCon.MCInfobar.TXVol._rotation = 0;
		_root.MCCon.MCInfobar.TXVol._x=193;
		_root.MCCon.MCInfobar.TXVol._y=410;		
		//trace(_root.MCCon.MCInfobar.TXTime._rotation );
	}
	else if(currentGvalue ==2)
	{		
		_root.MCCon.MCInfobar.TXTime._rotation = 90;
		_root.MCCon.MCInfobar.TXTime._x=90;
		_root.MCCon.MCInfobar.TXTime._y=20;
		_root.MCCon.MCInfobar.TXAmPm._rotation = 90;
		_root.MCCon.MCInfobar.TXAmPm._x=60;
		_root.MCCon.MCInfobar.TXAmPm._y=185;
		_root.MCCon.MCInfobar.TXVol._rotation = 90;
		_root.MCCon.MCInfobar.TXVol._x=207;
		_root.MCCon.MCInfobar.TXVol._y=407;
		
	}
	else if(currentGvalue ==3)
	{		
		_root.MCCon.MCInfobar.TXTime._rotation = 180;
		_root.MCCon.MCInfobar.TXTime._x=190;
		_root.MCCon.MCInfobar.TXTime._y=100;
		_root.MCCon.MCInfobar.TXAmPm._rotation = 180;
		_root.MCCon.MCInfobar.TXAmPm._x=25;
		_root.MCCon.MCInfobar.TXAmPm._y=68;		
		_root.MCCon.MCInfobar.TXVol._rotation = 180;
		_root.MCCon.MCInfobar.TXVol._x=204;
		_root.MCCon.MCInfobar.TXVol._y=420;		
	}
	else
	{		
		_root.MCCon.MCInfobar.TXTime._rotation = 270;
		_root.MCCon.MCInfobar.TXTime._x=20;
		_root.MCCon.MCInfobar.TXTime._y=200;
		_root.MCCon.MCInfobar.TXAmPm._rotation = 270;
		_root.MCCon.MCInfobar.TXAmPm._x=50;
		_root.MCCon.MCInfobar.TXAmPm._y=35;		
		_root.MCCon.MCInfobar.TXVol._rotation = 270;
		_root.MCCon.MCInfobar.TXVol._x=190;
		_root.MCCon.MCInfobar.TXVol._y=425;		
		
	}	
}
//¾ÆÀÌÄܱ⺻¼³Á¤
showMode =function()
{
	if(g_PlayMode == 1)
		_root.MCCon.icon1.onoff.gotoAndStop(2);
	else 
		_root.MCCon.icon1.onoff.gotoAndStop(1);
		
	/*if(g_PlayMode == 5 || g_PlayMode == 7 || g_PlayMode == 13 || g_PlayMode ==20)//set all to 20
	{
		g_PlayMode = 20;
		_root.MCCon.MCRecord.gotoAndStop(2);
	}
	else
		_root.MCCon.MCRecord.gotoAndStop(1);*/
	
	if(g_PlayMode == 5 || g_PlayMode ==4)
		_root.MCCon.icon8.onoff.gotoAndStop(2);
	else 
		_root.MCCon.icon8.onoff.gotoAndStop(1);
}

//¾ÆÀÌÄܱ⺻¼³Á¤
fn_Init();

function fn_Init()
{
	//_root.MCCon.MCBack._alpha = 80;
	var startX:Number=-72;
	var startY:Number=-120;
	var NumofIndex;
	var NumofIcon:Number = array_icon[i]._name.substring(4)-1;
	
	//MCPopPower._visible =false;
	if(ext_fscommand2("GetEtcUIConfig", "11", "uiconfig") ==1)
	{
		var arr:Array = uiconfig.split("|");
		if(arr[0] =="csu")
		{
			if (arr[1] =="1")
				_root.MCCon.MCBack._alpha = 80;
			else
				_root.MCCon.MCBack._alpha = 100;
		}
	}
	if(_global.g_FirmwareVersion == 1)//_global.S9_NODMB)
	{

		array_icon[0] = _root.MCCon.icon1;
		array_icon[1] = _root.MCCon.icon2;
		array_icon[2] = _root.MCCon.icon3;
		array_icon[3] = _root.MCCon.icon4;
		array_icon[4] = _root.MCCon.icon5;
		array_icon[5] = _root.MCCon.icon6;
		_root.MCCon.icon10._visible = false;
		_root.MCCon.icon7._visible = false;			
		array_icon[6] = _root.MCCon.icon8;
		array_icon[7] = _root.MCCon.icon9;
		array_icon[8] = _root.MCCon.icon10_2;
		array_icon[9] = _root.MCCon.icon11;
		array_icon[10] = _root.MCCon.icon12;
		_root.MCCon.icon10_2.gotoAndPlay(11);

	}//
	else// if(_global.g_FirmwareVersion == _global.S9_DMB)*/
	{
		_root.MCCon.icon10_2._visible=false;
		array_icon[0] = _root.MCCon.icon1;
		array_icon[1] = _root.MCCon.icon2;
		array_icon[2] = _root.MCCon.icon3;
		array_icon[3] = _root.MCCon.icon4;
		array_icon[4] = _root.MCCon.icon5;
		array_icon[5] = _root.MCCon.icon6;		
		array_icon[6] = _root.MCCon.icon7;		
		array_icon[7] = _root.MCCon.icon8;
		array_icon[8] = _root.MCCon.icon9;
		array_icon[9] = _root.MCCon.icon10;
		array_icon[10] = _root.MCCon.icon11;
		array_icon[11] = _root.MCCon.icon12;
	}	 
	for(j = 0; j<13; j++)
		this["icon"+j].gotoAndPlay(11);
	for( j = 13; j <= MAX_ICON ; j++)
	{
		_root.MCCon["icon"+j].gotoAndStop(10);
	}
	
	g_PlayMode = ext_fscommand2("GetEtcState");
	showMode();
	currentGvalue = ext_fscommand2("GetEtcTASValue");
	if(currentGvalue ==undefined)
		currentGvalue =1;
		
	//txTmp.text="init "+currentGvalue;
	if(currentGvalue ==2)
		upperFrame =10;
	else
		upperFrame =1;
		//txTmp.text="upper stop "+startFrame;
	_root.MCCon.icon2.rot.gotoAndStop(upperFrame);
	_root.MCCon.icon4.rot.gotoAndStop(upperFrame);
	_root.MCCon.icon5.rot.gotoAndStop(upperFrame);
	_root.MCCon.icon6.rot.gotoAndStop(upperFrame);
	_root.MCCon.icon8.onoff.rot.gotoAndStop(upperFrame);
	_root.MCCon.icon14.rot.gotoAndStop(upperFrame);
	_root.MCCon.icon16.rot.gotoAndStop(upperFrame);

	if(currentGvalue ==0)
		underFrame =10;
	else
		underFrame =1;
		//txTmp.text="under stop "+startFrame;
	_root.MCCon.icon1.onoff.rot.gotoAndStop(underFrame);
	_root.MCCon.icon3.rot.gotoAndStop(underFrame);
	if(_root.MCCon.icon10._visible)
	{
		_root.MCCon.icon10.rot.gotoAndStop(underFrame);		
		_root.MCCon.icon7.rot.gotoAndStop(underFrame);
	}
	else
	{
		_root.MCCon.icon10_2.rot.gotoAndStop(underFrame);
	}
	_root.MCCon.icon11.rot.gotoAndStop(underFrame);
	_root.MCCon.icon12.rot.gotoAndStop(underFrame);
	_root.MCCon.icon13.rot.gotoAndStop(underFrame);		
	_root.MCCon.icon15.rot.gotoAndStop(underFrame);
	setTextRotation();	
}
setRotDirection =function()
{
	if(currentGvalue ==1)
	{
		upperRotation(1);
		underRotation(1);
		//trace(_root.MCCon.MCInfobar.TXTime._rotation );
	}
	else if(currentGvalue ==2)
	{
		upperRotation(10);
		underRotation(1);		
	}
	else if(currentGvalue ==3)
	{
		upperRotation(1);
		underRotation(1);
	}
	else
	{
		upperRotation(1);
		underRotation(10);
	}
}

upperRotation=function(newDir:Number)
{
	if(newDir!=upperFrame)
	{		
		_root.MCCon.icon2.rot.gotoAndPlay(upperFrame+1);
		_root.MCCon.icon4.rot.gotoAndPlay(upperFrame+1);
		_root.MCCon.icon5.rot.gotoAndPlay(upperFrame+1);
		_root.MCCon.icon6.rot.gotoAndPlay(upperFrame+1);
		_root.MCCon.icon8.onoff.rot.gotoAndPlay(upperFrame+1);
		_root.MCCon.icon14.rot.gotoAndPlay(upperFrame+1);
		_root.MCCon.icon16.rot.gotoAndPlay(upperFrame+1);
		upperFrame = newDir;
	}
}
underRotation=function(newDir:Number)
{
	if(newDir!=underFrame)
	{		
			//txTmp.text="under rot in "+upperDirection;
		_root.MCCon.icon1.onoff.rot.gotoAndPlay(underFrame+1);
		_root.MCCon.icon3.rot.gotoAndPlay(underFrame+1);
		if(_root.MCCon.icon10._visible)
		{
			_root.MCCon.icon10.rot.gotoAndPlay(underFrame+1);
			_root.MCCon.icon7.rot.gotoAndPlay(underFrame+1);
		}
		else
		{
			_root.MCCon.icon10_2.rot.gotoAndPlay(underFrame+1);
		}
		_root.MCCon.icon11.rot.gotoAndPlay(underFrame+1);
		_root.MCCon.icon12.rot.gotoAndPlay(underFrame+1);
		_root.MCCon.icon13.rot.gotoAndPlay(underFrame+1);
		_root.MCCon.icon15.rot.gotoAndPlay(underFrame+1);
		underFrame = newDir;
	}
}
_root.MCCon.icon10_2.onPress = function()
{
	this._alpha = 30;
}
_root.MCCon.icon10_2.onRelease = function()
{
	this._alpha = MAXALPHA;
	_global.Load_SWF(MODE_DICTIONARY);
}
_root.MCCon.icon10_2.onDragOut = function()
{
	this._alpha = MAXALPHA;
}

for(i=1;i<= MAX_ICON; i++){
	
	this["icon"+i].onPress = function() 
	{		
		this._alpha = 30;
	}


	this["icon"+i].onRelease = function() 
	{
		//if(MCPopPower._visible == false)
		{
			this._alpha = 100;
			myNum = Number(this._name.substring(4));
			switch(myNum)	
			{
				case 11: //go to utilities menu
					var i:Number;
					//trace(" 11" );
					for( i = 0 ; i < array_icon.length ; i ++)
					{
						array_icon[i].play();
					}
					for( i = 13 ; i<= MAX_ICON ; i ++)
					{
						_root.MCCon["icon"+i].play();
					}
																	
				break;
		 
				case 1:
					_global.Load_SWF(MODE_MUSIC);
				break;
				case 2:
					_global.Load_SWF(MODE_VIDEO);
				break;
				case 3:
					_global.Load_SWF(MODE_PICTURE);
				break;
				case 4:				
					_global.Load_SWF(MODE_TEXTBROWSER);
				break;
				case 5:
					_global.Load_SWF(MODE_FLASHBROWSER);
				break;
				case 6:
					_global.Load_SWF(MODE_BROWSER);
				break;			
				case 7:
					_global.Load_SWF(MODE_DMB);
				break;

				case 8:
					_global.Load_SWF(MODE_RADIO);
				break;
				case 9:
					_global.Load_SWF(MODE_RECORD);				
				break;
				case 10:
					_global.Load_SWF(MODE_DICTIONARY);
				break;
				case 12 : 
					_global.Load_SWF(MODE_SETTING);
				break;			


				case 13:// return to mainmenu
					for( i = 0 ; i < array_icon.length ; i ++)
					{
						array_icon[i].play();
					}
					for( i = 13 ; i<= MAX_ICON ; i ++)
					{
						_root.MCCon["icon"+i].play();
					}
				break;
				
				case 14:
					_global.Load_SWF(MODE_ETC, "Calculator.swf");
					break;
				case 15:
					ext_fscommand2("EtcUsrSetMainmenu", 3);
       				 _global.Load_SWF(MODE_WIDGET);
					break;
				case 16:
					_global.Load_SWF(MODE_ETC, "Subway.swf");
					break;
					// _global.Load_SWF(MODE_ETC, "widget.swf");
			
			}
		}
	}
	
	this["icon"+i].onDragOut = function() 
	{
		this._alpha = MAXALPHA;
	}
	volumeChange(false);
	
}
MCPopPower.gotoAndStop(1);
_root.MCCon.MCFooter.icon0.onRelease = function()
{
	ext_fscommand2("EtcUsrSetMainmenu", 0);
	_global.Load_SWF(MODE_MAIN);
}
MCInfobar.MCBatt.onRelease = function()
{
	ext_fscommand2("EtcUsrSetMainmenu", 1);
	_global.Load_SWF(MODE_MAIN);
}
MCPopPower.gotoAndStop(1);
MCInfobar.MCBatt2.onRelease = function()
{
	MCPopPower.play();
	
	/*for local testing
	currentGvalue ++;
	if(currentGvalue>3)
		currentGvalue = 0;
	setTextRotation();
	setRotDirection();				*/
}
MCRecord.onPress= function()
{
	this.gotoAndStop(2);
}
MCRecord.onRelease=function()
{
	this.gotoAndStop(1);
	_global.Load_SWF(MODE_RECORD);				
}
MCRecord.onDragOut=function()
{
	this.gotoAndStop(1);
}
onUnload = function()
{
	Mouse.removeListener(mouseListener);
}